Subject: Re: Problems with Apache 1.3.20
From: "Gerrit P. Haase" <[email-masked]>
To: Jordan Henderson <[email-masked]>
Cc: [email-masked]
Date: Tue, 29 May 2001 09:01:05 +0200

Jordan Henderson schrieb am 2001-05-28, 21:31:

Hi Jordan,
 
> > All known problems for me with 1.3.19. Better you define the hostname in
> > httpd.conf.
> > I work around the install errors in fiddeling around in the makefiles to
> > set an .exe to every executable, so it works for me.
> >  
> 
> Ah, yes, a common porting problem with cygwin.  I've seen it before.
> This is very annoying.  Didn't some old version of cygwin/gcc produce
> files without the .exe extension?  If I'm remembering correctly, why
> was the change made?

Ump, i really don't know, mainly because of compatibility with w*ndows
double-click and run, the same with symlinks now.
New feature, new problems...:-)
 
[...]
> > 
> > What port is set as default? Apache compiled for me with default port 8080.
> > 
> 
> Oh yes, I saw that in the .conf file!  Of course, thank you for pointing 
> this out.  
> 
> Now it works.

Ah, fine.
 
> Hmmm... a little more work was necessary than I would expect for something
> that reportedly runs out-of-the-box, but not too bad.

Well, .dll is building correct and it runs, only some minor issues in
httpd.conf because the lack of user root and nobody on windows.

Have fun with apache,

-gph

-- 
=^..^=

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple